compiz.real crashed with SIGSEGV in handleEvent()

Bug #430518 reported by Kersten Burkhardt on 2009-09-16
322
This bug affects 60 people
Affects Status Importance Assigned to Milestone
compiz (Ubuntu)
Medium
Unassigned

Bug Description

Binary package hint: compiz

Chrashed in the session, didn't do anything

ProblemType: Crash
Architecture: amd64
CompizPlugins: [core,move,resize,place,decoration,animation,ccp,fadedesktop,workarounds,gnomecompat,video,extrawm,mousepoll,svg,widget,text,shift,session,png,imgjpeg,vpswitch,dbus,regex,inotify,resizeinfo,wobbly,snap,fade,cube,expo,rotate,scale,scaleaddon,ezoom,switcher,staticswitcher]
Date: Wed Sep 16 09:27:24 2009
DistroRelease: Ubuntu 9.10
ExecutablePath: /usr/bin/compiz.real
MachineType: LENOVO 276521G
NonfreeKernelModules: fglrx
Package: compiz-core 1:0.8.3+git20090915-0ubuntu1
PccardctlIdent:
 Socket 0:
   no product info available
PccardctlStatus:
 Socket 0:
   no card
PciDisplay: 01:00.0 VGA compatible controller [0300]: ATI Technologies Inc Mobility Radeon HD 3400 Series [1002:95c4]
ProcCmdLine: BOOT_IMAGE=/boot/vmlinuz-2.6.31-10-generic root=UUID=61c7cd85-1e51-4f98-9e55-de2ebfc05e52 ro quiet splash
ProcCmdline: /usr/bin/compiz.real --ignore-desktop-hints --replace --indirect-rendering --sm-client-id 10c3159cc8b077bb64125308982321476100000030630032 move resize place decoration animation ccp
ProcEnviron:
 SHELL=/bin/bash
 LANG=de_DE.UTF-8
ProcVersionSignature: Ubuntu 2.6.31-10.32-generic
RelatedPackageVersions:
 xserver-xorg 1:7.4+3ubuntu5
 libgl1-mesa-glx 7.7.0~git20090914.d3f5a2e5-0ubuntu0tormod
 libdrm2 2.4.13-1ubuntu1
 xserver-xorg-video-intel 2:2.8.99.901~git20090914.c2abfa8e-0ubuntu0tormod
 xserver-xorg-video-ati 1:6.12.99+git20090911.ac853ca0-0ubuntu0tormod
SegvAnalysis:
 Segfault happened at: 0x7fedf32b95cb: mov 0x18(%r12),%rdi
 PC (0x7fedf32b95cb) ok
 source "0x18(%r12)" (0x00000018) not located in a known VMA region (needed readable region)!
 destination "%rdi" ok
SegvReason: reading NULL VMA
Signal: 11
SourcePackage: compiz
StacktraceTop:
 ?? () from /usr/lib/compiz/libstaticswitcher.so
 handleEvent ()
 ?? () from /usr/lib/compiz/libmove.so
 ?? () from /usr/lib/compiz/libresize.so
 ?? () from /usr/lib/compiz/libplace.so
Title: compiz.real crashed with SIGSEGV in handleEvent()
Uname: Linux 2.6.31-10-generic x86_64
UserGroups: adm admin cdrom dialout lpadmin plugdev sambashare
dmi.bios.date: 02/13/2009
dmi.bios.vendor: LENOVO
dmi.bios.version: 7UET61WW (2.07 )
dmi.board.name: 276521G
dmi.board.vendor: LENOVO
dmi.board.version: Not Available
dmi.chassis.asset.tag: No Asset Information
dmi.chassis.type: 10
dmi.chassis.vendor: LENOVO
dmi.chassis.version: Not Available
dmi.modalias: dmi:bvnLENOVO:bvr7UET61WW(2.07):bd02/13/2009:svnLENOVO:pn276521G:pvrThinkPadT400:rvnLENOVO:rn276521G:rvrNotAvailable:cvnLENOVO:ct10:cvrNotAvailable:
dmi.product.name: 276521G
dmi.product.version: ThinkPad T400
dmi.sys.vendor: LENOVO
system: distro = Ubuntu, architecture = x86_64, kernel = 2.6.31-10-generic

Kersten Burkhardt (kerstenk) wrote :

StacktraceTop:switchTerminate (d=<value optimized out>,
handleEvent (d=0xb5ec90, event=0x7fff9e22da00)
moveHandleEvent (d=0xb5ec90, event=0x7fff9e22da00)
resizeHandleEvent (d=0xb5ec90, event=0x7fff9e22da00)
placeHandleEvent (d=0xb5ec90, event=0x7fff9e22da00)

Changed in compiz (Ubuntu):
importance: Undecided → Medium
tags: removed: need-amd64-retrace
visibility: private → public
Travis Watkins (amaranth) wrote :

One of the upstream developers just had the same crash and figured out the fix, we'll get it once he commits it.

Changed in compiz (Ubuntu):
status: New → In Progress
assignee: nobody → Travis Watkins (amaranth)
Changed in compiz (Ubuntu):
assignee: Travis Watkins (amaranth) → nobody
Saneless (saneless) wrote :

Happend today with an alt-tab, first time this ever happened.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package compiz - 1:0.8.3+git20091005-0ubuntu5

---------------
compiz (1:0.8.3+git20091005-0ubuntu5) karmic; urgency=low

  * New snapshot from upstream stable git:
     - compiz.real crashed with SIGSEGV in blurDrawWindow()
       (LP: #353236)
     - Windows disappear if resolution is changed to something smaller
       than window size (LP: #414134)
     - compiz.real crashed with SIGSEGV in handleEvent() (LP: #430518)
     - Windows that span screen width or height cannot be resized
       in that dimension (LP: #137134)
     - Reducing number of workspaces leaves windows inaccessible
       (LP: #189259)
     - "Snap Inverted" in Wobbly Windows compiz plugin broken
       (LP: #366822)
     - Problem when resizing and the Panels
       (LP: #408030)
  * debian/control:
    - make compiz package depend on compiz-gnome | compiz-kde (LP: #172385)
  * debian/patches/015_draw_dock_shadows_on_desktop.patch:
    - fix clock/calendar shadow not going away (LP: #428783)
      thanks to Erkin Bahceci
  * debian/patches/029_default_options:
    - add a focus prevention match to allow polkit windows to steal focus
      otherwise they never get focus (LP: #436852)
  * debian/compiz-gnome.gconf-defaults:
    - change /apps/gwd/blur_type to all since it only does anything if blur
      is enabled and is usually what is wanted (LP: #158376)
    - turn constrain_y back on (LP: #82654)
  * debian/rules:
    - add commands plugin to default active_plugins (LP: #355018)

 -- Travis Watkins <email address hidden> Mon, 05 Oct 2009 15:42:00 +0200

Changed in compiz (Ubuntu):
status: In Progress → Fix Released
Hariharan Iyer (hariharan022) wrote :

In my case, compiz crashed when I was switching between programs using Alt-Tab.

Travis Watkins (amaranth) wrote :

This was fixed in the switcher plugin but staticswitcher has the same bug (and we haven't uploaded the fix for it yet). Expect that to happen today.

Janne Hyötylä (janne-hyotyla) wrote :

Was this supposed to be fixed already? I just got a crash apparently in libstaticswitcher.so, see Bug #446696

To post a comment you must log in.